Skip to main content
GET
cURL

Path Parameters

contractID
string
required
internalId
string
required
userID
string
required

Response

200 - application/json
type_of_transaction
enum<string>
required

Whether the amount shall be charged or credited towards the customers.

  • credit - credit
  • charge - charge
Available options:
credit,
charge
amount_cent
integer
required

Monetary Amount in cent. For example "1000" for 10,00 EUR

Required range: x >= 0
is_gross
boolean
required

Identifier for whether it is a net (excl. VAT) or gross (incl. VAT) amount

vat_type
enum<string>
required

VAT rate for normal is 19% and reduced is 7%. In case of vat changes, the value, which is valid at the due date, will be used.

  • normal - normal
  • reduced - reduced
Available options:
normal,
reduced
due_date
string<date>
required

Defines which customer bill will include the submitted amount: the bill which covers a billing period including this due_date will contain the submitted amount.

input_id
string
required

Please submit a unique identifier per contract ID

Maximum string length: 128
internal_id
string
required
read-only
Maximum string length: 150
contract_id
string
required
read-only
category
string
required

Describes the nature of the submitted amount, e. g. "Bonus", and is used to group values of the same category on the customer facing invoice.

Maximum string length: 40
display_name
string
required

Display name which is exposed on the customer invoice

Maximum string length: 128
salespartner
string
required
read-only
explanation_text
string | null

Description text explaining the context of the amount. Its displayed on the customer invoice

bookkeeping_account
string

The bookkeeping account for this transaction, which will be reported back to you in the accounting file. In case of DATEV it is the contra account (Gegenkonto).

Maximum string length: 128